package com.rf.psychological.scale.service;

import com.rf.psychological.dao.model.MemoryCheckEntity;

import java.util.List;

/**
 * @author zsy
 * @description:
 * @date 2021/5/14 10:49
 */
public interface MemoryCheckService {


    /**
     * 保存
     * @param memoryCheckEntity
     */
    void save(MemoryCheckEntity memoryCheckEntity);

    /**
     * 根据关联记忆id修改既时记忆状态
     * @param correlationMemory
     */
    void updateStatus(String correlationMemory);

    /**
     * 根据phone获取用户进行中记忆检查
     * @param phone
     */
    List<MemoryCheckEntity> getMemoryCheckList(String phone,String type,String testType,String questionNo,String institutionNo);

    /**
     * 根据id获取用户记忆检查信息
     * @param correlationMemory
     */
    MemoryCheckEntity selectById(String correlationMemory);

    /**
     * 查询当前用户第六题信息
     * @param
     */
    MemoryCheckEntity selectMemory(String phone,String correlationMemory,String institutionNo);

    /**
     * 清除进行中任务
     * @param
     */
    void clearMemory(String phone,String type,String testType,String questionNo,String institutionNo);
}
